"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.validateConfirmation = exports.generateConfirmation = void 0;
const generateConfirmation = modelId => {
  return `delete ${modelId}`;
};
exports.generateConfirmation = generateConfirmation;
const validateConfirmation = params => {
  const {
    modelId,
    confirmation
  } = params;
  if (!modelId || !confirmation) {
    return false;
  }
  return confirmation === generateConfirmation(modelId);
};
exports.validateConfirmation = validateConfirmation;

//# sourceMappingURL=confirmation.js.map